from cvc5 import pythonic as cvc5


def cvc5_solver_for(logic: str) -> cvc5.Solver:
    solver = cvc5.SolverFor(logic)
    solver.setOption("tlimit", 20 * 60 * 1000)
    solver.setOption("tlimit-per", 20 * 60 * 1000)
    solver.reset()
    return solver
